2010-09-28  Werner Koch  <wk@g10code.com>

	* ttyio.h (ttyfp_is, init_ttyfp) [__VMS]: New.

2009-09-03  Werner Koch  <wk@g10code.com>

	* util.h (xtryvasprintf): New.

2009-08-25  Werner Koch  <wk@g10code.com>

	* compat.h: Add xstrconcat.

2009-08-11  David Shaw  <dshaw@jabberwocky.com>

	* util.h: Add string_to_utf8() from GPA.

2009-07-21  Werner Koch  <wk@g10code.com>

	* estream-printf.h: New.  Taken from libestream.x

2009-07-20  Werner Koch  <wk@g10code.com>

	* types.h (strlist_t): Add new alias for STRLIST.

	* memory.h (xtrymalloc,xtrystrdup): New.

	* util.h: Add prototypes for util/convert.c.

2009-05-26  David Shaw  <dshaw@jabberwocky.com>

	* http.h: Pass in a STRLIST for additional headers on http_open
	and http_open_document.

2009-04-05  David Shaw  <dshaw@jabberwocky.com>

	* srv.h: Move from util/srv.h.

2009-04-02  David Shaw  <dshaw@jabberwocky.com>

	* http.h: Allow passing srvtag to http_open and
	http_open_document.

2008-04-17  David Shaw  <dshaw@jabberwocky.com>

	* cipher.h: Add the 192-bit variant of Camellia.

2007-11-29  David Shaw  <dshaw@jabberwocky.com>

	* cipher.h: Add the 128-bit variant of Camellia.

2007-10-23  Werner Koch  <wk@g10code.com>

	Switched entire package to GPLv3+.
	* assuan.h, _regex.h: Just change the address notice.

2007-08-24  Werner Koch  <wk@g10code.com>

	* util.h (same_file_p): Add prototype.

2007-06-13  David Shaw  <dshaw@jabberwocky.com>

	* cipher.h (CIPHER_ALGO_CAMELLIA): Add Camellia define.

2007-04-16  David Shaw  <dshaw@jabberwocky.com>

	* util.h (ascii_toupper, ascii_tolower, ascii_strcasecmp,
	ascii_strncasecmp): Move functions to compat.h.

2006-12-11  Werner Koch  <wk@g10code.com>

	* mpi.h (mpi_is_neg, mpi_get_nlimbs): Replaced macros by function
	prototypes.
	(struct gcry_mpi): Changed to a forward declaration.
	(mpi_limb_t): Moved to ../mpi/mpi-internal.h.
	(MPI_NULL): Removed.
	(mpi_is_opaque, mpi_is_secure): Implement in terms of mpi_get_flags.

2006-12-04  Werner Koch  <wk@g10code.com>

	* iobuf.h (iobuf_t): New.  That is the name we use in 2.0.

2006-09-28  David Shaw  <dshaw@jabberwocky.com>

	* compat.h: Move strsep prototype and ascii_isspace macro to from
	util.h.

	* compat.h: New, used for libcompat.a functions.

	* util.h: Includes compat.h.

2006-04-20  David Shaw  <dshaw@jabberwocky.com>

	* cipher.h: Add dsa2_generate();

2006-04-19  David Shaw  <dshaw@jabberwocky.com>

	* cipher.h: Add SHA-224.

2006-03-16  David Shaw  <dshaw@jabberwocky.com>

	* util.h: Handle the fixed IPGP type with fingerprint.

2006-02-14  Werner Koch  <wk@gnupg.org>

	* errors.h (G10ERR_NO_DATA): New.

2005-12-23  David Shaw  <dshaw@jabberwocky.com>

	* util.h: Prototype get_cert().

2005-07-27  Werner Koch  <wk@g10code.com>

	* memory.h (m_free, m_alloc, m_realloc, m_strdup): Removed and
	replaced all over by xfoo functions.  This is to ease porting to
	gnupg 1.9.
	(xmalloc_secure) [M_DEBUG]: Correctly map to m_debug_alloc_secure.

2005-06-23  David Shaw  <dshaw@jabberwocky.com>

	* http.h: Fix prototypes for http_open_document and http_open
	again, to handle the new different auth for regular files and
	proxies.

2005-06-21  David Shaw  <dshaw@jabberwocky.com>

	* http.h: Fix prototypes for http_open_document and http_open to
	pass in auth and proxyauth.

2005-05-19  Werner Koch  <wk@g10code.com>

	* util.h: Add definitions for membuf functions.

2005-05-05  David Shaw  <dshaw@jabberwocky.com>

	* util.h: Remove add_days_to_timestamp as unused.

2005-04-22  David Shaw  <dshaw@jabberwocky.com>

	* distfiles: Add assuan.h.

2005-04-04  Werner Koch  <wk@g10code.com>

	* memory.h (xcalloc, xcalloc_secure): Replaced macros by functions.

2005-03-31  Werner Koch  <wk@g10code.com>

	* assuan.h: New.  Taken from libassuan 0.6.9.

2005-03-18  David Shaw  <dshaw@jabberwocky.com>

	* ttyio.h: Prototype tty_enable_completion(), and
	tty_disable_completion().

2005-02-09  David Shaw  <dshaw@jabberwocky.com>

	* cipher.h: Add a flag for a symmetric DEK.

2004-12-16  David Shaw  <dshaw@jabberwocky.com>

	* memory.h: Return a flag to indicate whether we got the lock.

2004-11-29  David Shaw  <dshaw@jabberwocky.com>

	* cipher.h: Add PUBKEY_USAGE_UNKNOWN.

2004-11-03  Timo Schulz  <twoaday@g10code.com>

        * errors.h: Add w32_strerror prototype.
	* dynload.h: Use w32_strerror.
	
2004-10-27  Werner Koch  <wk@g10code.com>

	* dynload.h: Always use it for _WIN32.

2004-10-21  Werner Koch  <wk@g10code.com>

	* util.h [!HAVE_VASPRINTF]: Removed prototype.

2004-10-15  Werner Koch  <wk@g10code.com>

	* util.h [!HAVE_VASPRINTF]: Add asprintf prototype.

2004-10-13  David Shaw  <dshaw@jabberwocky.com>

	* keyserver.h: Add KEYSERVER_TIMEOUT.

2004-09-30  David Shaw  <dshaw@jabberwocky.com>

	* util.h: Prototype destroy_dotlock().  From Werner on stable
	branch.

2004-09-10  David Shaw  <dshaw@jabberwocky.com>

	* http.h: Add auth field for a parsed_uri to allow for basic auth.

2004-09-09  Werner Koch  <wk@g10code.com>

	* errors.h (G10ERR_NO_CARD, G10ERR_CANCELED): New error codes.

2004-04-27  Werner Koch  <wk@gnupg.org>

	* mpi.h: Renamed prototype parameter name to avoid gcc warnings.

2004-03-04  David Shaw  <dshaw@jabberwocky.com>

	* iobuf.h: Remove iobuf_set_block_mode() and
	iobuf_in_block_mode().

2004-02-21  David Shaw  <dshaw@jabberwocky.com>

	* util.h: Prototype for hextobyte().

2004-01-16  David Shaw  <dshaw@jabberwocky.com>

	* cipher.h: Remove the old CIPHER_ALGO_RINJDAEL values.
	is_ELGAMAL() now only matches type 16 and not type 20.

2004-01-15  David Shaw  <dshaw@jabberwocky.com>

	* util.h: Add prototype for print_string2().

2003-12-28  David Shaw  <dshaw@jabberwocky.com>

	* http.h: Pass the http proxy from outside rather than pulling it
	from the evironment.

2003-12-28  Stefan Bellon  <sbellon@sbellon.de>

	* util.h [__riscos__]: Removal of unnecessary RISC OS stuff.

2003-12-17  David Shaw  <dshaw@jabberwocky.com>

	* mpi.h (gcry_mpi, mpi_get_opaque, mpi_set_opaque): Make nbits and
	the length of an opaque MPI unsigned.

	* cipher.h (pubkey_verify): Remove old unused code.

2003-12-03  David Shaw  <dshaw@jabberwocky.com>

	* cipher.h: Make cipher list match 2440bis-09.

2003-11-20  David Shaw  <dshaw@jabberwocky.com>

	* util.h: Add prototype for match_multistr().

2003-10-31  David Shaw  <dshaw@jabberwocky.com>

	* cipher.h: Add COMPRESS_ALGO_BZIP2.

2003-10-04  Timo Schulz  <twoaday@freakmail.de>

	* dynload [WIN32] (dlclose): Do not use CloseHandle but FreeLibrary.
	
2003-09-29  Werner Koch  <wk@gnupg.org>

	* cipher.h (PUBKEY_USAGE_AUTH): New.

2003-09-28  Timo Schulz  <twoaday@freakmail.de>

	* util.h [WIN32]: Prototype for asprintf.
	* dynload.h [WIN32]: Define RTLD_LAZY.
	
2003-09-28  Werner Koch  <wk@gnupg.org>

	* util.h: Add the atoi_* and xtoi_* suite of macros from 1.9.
	* dynload.h: New.  Taken from 1.9.

2003-09-27  Werner Koch  <wk@gnupg.org>

	* memory.h (xmalloc): Define xmalloc macros in terms of m_alloc.

2003-09-04  David Shaw  <dshaw@jabberwocky.com>

	* cipher.h: Drop TIGER/192 support.

2003-08-28  David Shaw  <dshaw@jabberwocky.com>

	* util.h: s/__MINGW32__/_WIN32/ to help building on native Windows
	compilers.  Requested by Brian Gladman.  From Werner on stable
	branch.

2003-07-10  David Shaw  <dshaw@jabberwocky.com>

	* types.h: Prefer using uint64_t when creating a 64-bit unsigned
	type. This avoids a warning on compilers that support but complain
	about unsigned long long.

	* util.h (ascii_isspace): New variation on isspace() that is
	immune from locale changes.

	* util.h: Make sure that only ascii is passed to isfoo
	functions. (From Werner on stable branch).

2003-05-24  David Shaw  <dshaw@jabberwocky.com>

	* cipher.h, i18n.h, iobuf.h, memory.h, mpi.h, types.h, util.h:
	Edit all preprocessor instructions to remove whitespace before the
	'#'.  This is not required by C89, but there are some compilers
	out there that don't like it.

2003-05-14  David Shaw  <dshaw@jabberwocky.com>

	* types.h: Add initializer macros for 64-bit unsigned type.

2003-05-02  David Shaw  <dshaw@jabberwocky.com>

	* cipher.h: Add constants for compression algorithms.

2003-03-11  David Shaw  <dshaw@jabberwocky.com>

	* http.h: Add HTTP_FLAG_TRY_SRV.

2003-02-11  David Shaw  <dshaw@jabberwocky.com>

	* types.h: Try and use uint64_t for a 64-bit type.

2003-02-04  David Shaw  <dshaw@jabberwocky.com>

	* cipher.h: Add constants for new SHAs.

2002-11-13  David Shaw  <dshaw@jabberwocky.com>

	* util.h [__CYGWIN32__]: Don't need the registry prototypes.  From
	Werner on stable branch.

2002-11-06  David Shaw  <dshaw@jabberwocky.com>

	* util.h: Add wipememory2() macro (same as wipememory, but can
	specify the byte to wipe with).

2002-10-31  Stefan Bellon  <sbellon@sbellon.de>

	* util.h [__riscos__]: Prefixed all RISC OS prototypes with
	riscos_*

	* zlib-riscos.h: New. This is macro magic in order to make the
	zlib library calls indeed call the RISC OS ZLib module.

2002-10-31  David Shaw  <dshaw@jabberwocky.com>

	* util.h: Add wipememory() macro.

2002-10-29  Stefan Bellon  <sbellon@sbellon.de>

	* util.h: Added parameter argument to make_basename() needed for
	filetype support.
	[__riscos__]: Added prototype.

2002-10-28  Stefan Bellon  <sbellon@sbellon.de>

	* util.h [__riscos__]: Added prototypes for new filetype support.

2002-10-19  David Shaw  <dshaw@jabberwocky.com>

	* distfiles, _regex.h: Add _regex.h from glibc 2.3.1.

2002-10-14  David Shaw  <dshaw@jabberwocky.com>

	* keyserver.h: Go to KEYSERVER_PROTO_VERSION 1.

2002-10-08  David Shaw  <dshaw@jabberwocky.com>

	* keyserver.h: Add new error code KEYSERVER_UNREACHABLE.

2002-10-03  David Shaw  <dshaw@jabberwocky.com>

	* util.h: Add new log_warning logger command which can be switched
	between log_info and log_error via log_set_strict.

2002-09-24  David Shaw  <dshaw@jabberwocky.com>

	* keyserver.h: Add some new error codes for better GPA support.

2002-09-10  Werner Koch  <wk@gnupg.org>

	* mpi.h (mpi_is_protected, mpi_set_protect_flag)
	(mpi_clear_protect_flag): Removed.
	(mpi_get_nbit_info, mpi_set_nbit_info): Removed.

2002-08-13  David Shaw  <dshaw@jabberwocky.com>

	* cipher.h: Add AES aliases for RIJNDAEL algo numbers.

2002-08-07  David Shaw  <dshaw@jabberwocky.com>

	* cipher.h: Add md_algo_present().

2002-08-06  Stefan Bellon  <sbellon@sbellon.de>

	* util.h [__riscos__]: Added riscos_getchar().

2002-06-21  Stefan Bellon  <sbellon@sbellon.de>

	* util.h [__riscos__]: Further moving away of RISC OS specific
	stuff from general code.

2002-06-20  Stefan Bellon  <sbellon@sbellon.de>

	* util.h [__riscos__]: Added riscos_set_filetype().

2002-06-14  David Shaw  <dshaw@jabberwocky.com>

	* util.h: Add pop_strlist() from strgutil.c.

2002-06-07  Stefan Bellon  <sbellon@sbellon.de>

	* util.h [__riscos__]: RISC OS needs strings.h for strcasecmp()
	and strncasecmp().

2002-05-22  Werner Koch  <wk@gnupg.org>

	* util.h: Add strncasecmp.  Removed stricmp and memicmp.

2002-05-10  Stefan Bellon  <sbellon@sbellon.de>

	* mpi.h: New function mpi_debug_alloc_like for M_DEBUG.

	* util.h [__riscos__]: Make use of __func__ that later
	Norcroft compiler provides.

	* memory.h: Fixed wrong definition of m_alloc_secure_clear.

2002-04-23  David Shaw  <dshaw@jabberwocky.com>

	* util.h: New function answer_is_yes_no_default() to give a
	default answer.

2002-04-22  Stefan Bellon  <sbellon@sbellon.de>

	* util.h [__riscos__]: Removed riscos_open, riscos_fopen and
	riscos_fstat as those special versions aren't needed anymore.

2002-02-19  David Shaw  <dshaw@jabberwocky.com>

	* keyserver.h: Add KEYSERVER_NOT_SUPPORTED for unsupported actions
	(say, a keyserver that has no way to search, or a readonly
	keyserver that has no way to add).

2002-01-02  Stefan Bellon  <sbellon@sbellon.de>

	* util.h [__riscos__]: Updated prototype list.

	* types.h [__riscos__]: Changed comment wording.

2001-12-27  David Shaw  <dshaw@jabberwocky.com>

	* KEYSERVER_SCHEME_NOT_FOUND should be 127 to match the POSIX
	system() (via /bin/sh) way of signaling this.
	
	* Added G10ERR_KEYSERVER

2001-12-27  Werner Koch  <wk@gnupg.org>

	* util.h [MINGW32]: Fixed name of include file.

2001-12-22  Timo Schulz <ts@winpt.org>

        * util.h (is_file_compressed): New.

2001-12-19  Werner Koch  <wk@gnupg.org>

	* util.h [CYGWIN32]: Allow this as an alias for MINGW32. Include
	stdarg.h becuase we use the va_list type.  By Disastry.

2001-09-28  Werner Koch  <wk@gnupg.org>

	* cipher.h (PUBKEY_USAGE_CERT): New.

2001-09-07  Werner Koch  <wk@gnupg.org>

	* util.h: Add strsep().

2001-08-30  Werner Koch  <wk@gnupg.org>

	* cipher.h (DEK): Added use_mdc.

2001-08-24  Werner Koch  <wk@gnupg.org>

	* cipher.h (md_write): Made buf arg const. 

2001-08-20  Werner Koch  <wk@gnupg.org>

	* cipher.h (DEK): Added algo_info_printed;

	* util.h [__riscos__]: Added prototypes and made sure that we
	never use __attribute__.
	* cipher.h, iobuf.h, memory.h, mpi.h [__riscos__]: extern hack.
	* i18n.h [__riscos__]: Use another include file
	
2001-05-30  Werner Koch  <wk@gnupg.org>

	* ttyio.h (tty_printf): Add missing parenthesis for non gcc.
	* http.h: Removed trailing comma to make old ccs happy.  Both are
	by Albert Chin.

2001-05-25  Werner Koch  <wk@gnupg.org>

	* ttyio.h (tty_printf): Add printf attribute.

2001-04-23  Werner Koch  <wk@gnupg.org>

	* http.h: New flag HTTP_FLAG_NO_SHUTDOWN.

2001-04-13  Werner Koch  <wk@gnupg.org>

	* iobuf.h: Removed iobuf_fopen.

2001-03-01  Werner Koch  <wk@gnupg.org>

	* errors.h (G10ERR_UNU_SECKEY,G10ERR_UNU_PUBKEY): New

2000-11-30  Werner Koch  <wk@gnupg.org>

	* iobuf.h (iobuf_translate_file_handle): Add prototype.

2000-11-11  Paul Eggert  <eggert@twinsun.com>

        * iobuf.h (iobuf_get_filelength): Now returns off_t, not u32.
        (struct iobuf_struct, iobuf_set_limit,
        iobuf_tell, iobuf_seek): Use off_t, not ulong, for file offsets.

2000-10-12  Werner Koch  <wk@gnupg.org>

	* mpi.h: Changed the way mpi_limb_t is defined.

Wed Sep  6 17:55:47 CEST 2000  Werner Koch  <wk@openit.de>

        * iobuf.c (IOBUF_FILELENGTH_LIMIT): New.

2000-03-14 14:03:43  Werner Koch  (wk@habibti.openit.de)

	* types.h (HAVE_U64_TYPEDEF): Defined depending on configure test.

Thu Jan 13 19:31:58 CET 2000  Werner Koch  <wk@gnupg.de>

	* types.h (HAVE_U64_TYPEDEF): Add a test for _LONGLONG which fixes
	this long living SGI bug.  Reported by Alec Habig.

Sat Dec  4 12:30:28 CET 1999  Werner Koch  <wk@gnupg.de>

	* iobuf.h (IOBUFCTRL_CANCEL): Nww.

Mon Oct  4 21:23:04 CEST 1999  Werner Koch  <wk@gnupg.de>

	* errors.h (G10ERR_NOT_PROCESSED): New.

Wed Sep 15 16:22:17 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>


	* i18n.h: Add support for simple-gettext.

Tue Jun 29 21:44:25 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>


	* util.h (stricmp): Use strcasecmp as replacement.

Sat Jun 26 12:15:59 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>


	* cipher.h (MD_HANDLE): Assigned a structure name.

Fri Apr  9 12:26:25 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* cipher.h (BLOWFISH160): Removed.

Tue Apr  6 19:58:12 CEST 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* cipher.h (DEK): increased max. key length to 32 bytes


Sat Feb 20 21:40:49 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* g10lib.h: Removed file and changed all files that includes this.

Tue Feb 16 14:10:02 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* types.h (STRLIST): Add field flags.

Wed Feb 10 17:15:39 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* cipher.h (CIPHER_ALGO_TWOFISH): Chnaged ID to 10 and renamed
	the old experimenatl algorithm to xx_OLD.

Thu Jan  7 18:00:58 CET 1999  Werner Koch  <wk@isil.d.shuttle.de>

	* cipher.h (MD_BUFFER_SIZE): Removed.

Mon Dec 14 21:18:49 CET 1998  Werner Koch  <wk@isil.d.shuttle.de>

	* types.h: fix for SUNPRO_C

Tue Dec  8 13:15:16 CET 1998  Werner Koch  <wk@isil.d.shuttle.de>

	* mpi.h (MPI): Changed the structure name to gcry_mpi and
	changed all users.

Tue Oct 20 11:40:00 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* iobuf.h (iobuf_get_temp_buffer): New.

Tue Oct 13 12:40:48 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* iobuf.h (iobuf_get): Now uses .nofast
	(iobuf_get2): Removed.

Mon Sep 14 09:17:22 1998  Werner Koch  (wk@(none))

	* util.h (HAVE_ATEXIT): New.
	(HAVE_RAISE): New.

Mon Jul  6 10:41:55 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* cipher.h (PUBKEY_USAGE_): New.

Mon Jul  6 09:49:51 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* iobuf.h (iobuf_set_error): New.
	(iobuf_error): New.

Sat Jun 13 17:31:32 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* g10lib.h: New as interface for the g10lib.

Mon Jun  8 22:14:48 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* cipher.h (CIPHER_ALGO_CAST5): Changed name from .. CAST

Thu May 21 13:25:51 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* cipher.h: removed ROT 5 and changed one id and add dummy

Tue May 19 18:09:05 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* cipher.h (DIGEST_ALGO_TIGER): Chnaged id from 101 to 6.

Mon May  4 16:37:17 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* cipher.h (PUBKEY_ALGO_ELGAMAL_E): New, with value of the
	old one.
	* (is_ELGAMAL, is_RSA): New macros

Sun Apr 26 14:35:24 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* types.h: New type u64

Mon Mar  9 12:59:55 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* cipher.h: Included dsa.h.

Tue Mar  3 15:11:21 1998  Werner Koch  (wk@isil.d.shuttle.de)

	* cipher.h (random.h): Add new header and move all relevalt
	functions to this header.


 Copyright 1998, 1999, 2000, 2001, 2002, 2003,
	   2004, 2005 Free Software Foundation, Inc.

 This file is free software; as a special exception the author gives
 unlimited permission to copy and/or distribute it, with or without
 modifications, as long as this notice is preserved.

 This file is distributed in the hope that it will be useful, but
 WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
 implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
